Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Export all elements matching the given filters as an ArchiMate XML file.

Export all elements matching the given filters as an ArchiMate XML file. Exports the architecture elements matching the given filters - the same filters pagination and publish use - and their relationships as an ArchiMate-XML file, instead of an explicit list of element IDs.

Security: Manager or Designer of the process space.

POST/v1/warehouses/{warehouseId}/archimate/exportFiltered
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Query-Parameter
xmlOnlyboolean

If true, yields the plain ArchiMate document instead of the ZIP

Request-Body
erforderlichapplication/json

Criteria the exported elements have to match. sortBy/order have no effect - an export has no page order

conceptualClassModeListMode
Erlaubt:BlacklistWhitelist
conceptualClassesArchitectureElementType[]
createdAfterstring<date-time>
createdBeforestring<date-time>
elementIdsToIgnorestring[]
filterstring
filterByArchitectureFilter
Erlaubt:createdelementIdidlayermodifiedname
idsToIgnorestring[]
includeDeactivatedboolean
includeInvalidboolean
includeRelationshipsboolean
layerModeListMode
Erlaubt:BlacklistWhitelist
layersArchitectureElementLayer[]
manifestModeListMode
Erlaubt:BlacklistWhitelist
onlyOwnedboolean
orderArchitectureSortingOrder[]
publicationStatusPublicationStatus
Erlaubt:DraftPublished
relationshipTypesArchitectureRelationshipType[]
sortByArchitectureSorting[]
Antworten
200

The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true

403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X POST 'https://goto.bpanda.com/api/v1/warehouses/string/archimate/exportFiltered' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "conceptualClassMode": "Blacklist",
  "conceptualClasses": [
    "ApplicationCollaboration"
  ],
  "createdAfter": "2019-08-24T14:15:22Z",
  "createdBefore": "2019-08-24T14:15:22Z",
  "elementIdsToIgnore": [
    "string"
  ],
  "filter": "string",
  "filterBy": "created",
  "idsToIgnore": [
    "string"
  ],
  "includeDeactivated": true,
  "includeInvalid": true,
  "includeRelationships": true,
  "layerMode": "Blacklist",
  "layers": [
    "ApplicationLayer"
  ],
  "manifestMode": "Blacklist",
  "onlyOwned": true,
  "order": [
    "ascending"
  ],
  "publicationStatus": "Draft",
  "relationshipTypes": [
    "Access"
  ],
  "sortBy": [
    "conceptualClass"
  ]
}'
Antwort
The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true